dnsjit.core.object.ip(3)

NAME
dnsjit.core.object.ip - An IP packet

DESCRIPTION
An IP packet that usually can be found in the object chain after parsing with, for example, Layer filter.

  Attributes

v   Version.

hl  Header length.

tos Type of service.

len Total length.

id  Identification.

off Fragment offset field.

ttl Time to live.

p   Protocol.

sum Checksum.

src Source address.

dst Destination address.

payload
    A pointer to the payload.

plen
    The length of the payload.

pad_len
    The length of padding found, if any.

  Functions

Ip:type()
    Return the textual type of the object.

Ip:prev()
    Return the previous object.

Ip:cast()
    Cast the object to the underlining object module and return it.

Ip:uncast()
    Cast the object to the generic object module and return it.

Ip:copy()
    Make a copy of the object and return it.

Ip:free()
    Free the object, should only be used on copies or otherwise allocated.

Ip:source()
    Return the IP source as a string.

Ip:destination()
    Return the IP destination as a string.

SEE ALSO
dnsjit.core.object(3), dnsjit.filter.layer(3)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://codeberg.org/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net